org.bouncycastle.asn1.cms

## Class ContentInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cms.ContentInfo

All Implemented Interfaces:
  CMSObjectIdentifiers, DEREncodable

    public class ContentInfo
    extends ASN1Encodable
    implements CMSObjectIdentifiers

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.cms.CMSObjectIdentifiers

`authenticatedData, authEnvelopedData, compressedData, data, digestedData, encryptedData, envelopedData, signedAndEnvelopedData, signedData`

### Constructor Summary

Constructors
Constructor and Description
`ContentInfo(ASN1Sequence seq)`
`ContentInfo(DERObjectIdentifier contentType, DEREncodable content)`

### Method Summary

Methods
`DEREncodable` `getContent()`
`DERObjectIdentifier` `getContentType()`
`static ContentInfo` `getInstance(java.lang.Object obj)`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentInfo

    public ContentInfo(ASN1Sequence seq)

#### ContentInfo

    public ContentInfo(DERObjectIdentifier contentType,
               DEREncodable content)

### Method Detail

#### getInstance

    public static ContentInfo getInstance(java.lang.Object obj)

#### getContentType

    public DERObjectIdentifier getContentType()

#### getContent

    public DEREncodable getContent()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     ContentInfo ::= SEQUENCE {
              contentType ContentType,
              content
              [0] EXPLICIT ANY DEFINED BY contentType OPTIONAL }

Specified by:
  `toASN1Object` in class `ASN1Encodable`